ubuntu16.04+安装php5.6

ubuntu16.04 默认安装php7了,有一写老系统仍旧只能运行在php5.6环境下。下面是新版本ubuntu安装php5的方法
php7的服务为php7.0-fpm 而  php5.6的服务为php5.6,所以一个操作系统下可以同时安装多个版本的php
 
安装php源
sudo add-apt-repository ppa:ondrej/php
 
安装php5.6 

apt install php5.6-dev php5.6-fpm php5.6-cli php5.6-mcrypt php5.6-mysql php5.6-sqlite3 php5.6-curl  php5.6-gd

 
启动运行php5.6服务
service php5.6-fpm stop 
service php5.6-fpm start
service php5.6-fpm restart 
 
修改nginx站点中
fastcgi_pass unix:/run/php/php7.0-fpm.sock;
修改为
fastcgi_pass unix:/run/php/php5.6-fpm.sock; 
检查配置修改是正确
nginx -t
重启nginx 
nginx -s reload 
引用通告地址: 点击获取引用地址
标签: ubuntu
评论: 6 | 引用: 0 | 阅读: 553
更多




  • 1 
dominick [ 2019-06-29 05:10 网址 | 回复 | 编辑 删除 ]
velia [ 2019-06-22 07:17 网址 | 回复 | 编辑 删除 ]
laurie [ 2019-05-16 20:41 网址 | 回复 | 编辑 删除 ]
xuehui51 [ 2019-04-01 23:10 网址 | 回复 | 编辑 删除 ]
theresa [ 2019-03-27 22:28 网址 | 回复 | 编辑 删除 ]
sihong5 [ 2019-03-27 00:33 网址 | 回复 | 编辑 删除 ]
  • 1 
发表评论
昵 称: 密 码:
网 址: 邮 箱:
验证码: 验证码图片 选 项:
头 像:
内 容:
  • 粗体
  • 斜体
  • 下划线
  • 插入图像
  • 超链接
  • 电子邮件
  • 插入引用